org.eclipse.oomph.util

## Class CollectionUtil

- java.lang.Object
- - org.eclipse.oomph.util.CollectionUtil

-     public final class CollectionUtil
      extends Object

  Author:
    Eike Stepper

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <K,V> boolean` | `add(Map<K,Set<V>> map, K key, V value)`
    `static <K,V> boolean` | `addAll(Map<K,Set<V>> map, Collection<? extends K> keys, V value)`
    `static <K,V> boolean` | `addAll(Map<K,Set<V>> map, K key, Collection<? extends V> values)`
    `static <K,V> boolean` | `addAll(Map<K,Set<V>> map, Map<? extends K,? extends Collection<? extends V>> map2)`
    `static <K,V> Set<V>` | `getSet(Map<K,Set<V>> map, K key)`
    `static <K,V> boolean` | `putAll(Map<K,Set<V>> map, Map<? extends K,? extends V> map2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSet

          public static <K,V> Set<V> getSet(Map<K,Set<V>> map,
                            K key)

    - #### add

          public static <K,V> boolean add(Map<K,Set<V>> map,
                          K key,
                          V value)

    - #### addAll

          public static <K,V> boolean addAll(Map<K,Set<V>> map,
                             K key,
                             Collection<? extends V> values)

    - #### addAll

          public static <K,V> boolean addAll(Map<K,Set<V>> map,
                             Collection<? extends K> keys,
                             V value)

    - #### addAll

          public static <K,V> boolean addAll(Map<K,Set<V>> map,
                             Map<? extends K,? extends Collection<? extends V>> map2)

    - #### putAll

          public static <K,V> boolean putAll(Map<K,Set<V>> map,
                             Map<? extends K,? extends V> map2)

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html